Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 970022 - [abrt] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:418 qxl_sync_obj_wait+0x172/0x1f0 [qxl]()
[abrt] WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:418 qxl_sync_obj_wait+0x172/...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alon Levy
Fedora Extras Quality Assurance
abrt_hash:32c4c61e0592b687fbcb1418abb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 06:53 EDT by Pavel Zhukov
Modified: 2014-08-04 18:10 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-20 06:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (55.42 KB, text/plain)
2013-06-03 06:53 EDT, Pavel Zhukov
no flags Details

  None (edit)
Description Pavel Zhukov 2013-06-03 06:53:16 EDT
Description of problem:
Fedora 19 VM crashes after Firefox is launched

Additional info:
reporter:       libreport-2.1.4
WARNING: at drivers/gpu/drm/qxl/qxl_ttm.c:418 qxl_sync_obj_wait+0x172/0x1f0 [qxl]()
Hardware name: Bochs
sync obj 301 still has outstanding releases 440 0 0 4096 2
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables ppdev i2c_piix4 e1000 parport_pc parport microcode dm_crypt qxl drm_kms_helper ttm drm i2c_core
Pid: 1133, comm: X Not tainted 3.9.4-300.fc19.x86_64 #1
Call Trace:
 [<ffffffffa007e600>] ? qxl_sync_obj_wait+0x140/0x1f0 [qxl]
 [<ffffffff8105cda6>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ce0c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff816436c3>] ? schedule_hrtimeout_range+0x13/0x20
 [<ffffffffa007e632>] qxl_sync_obj_wait+0x172/0x1f0 [qxl]
 [<ffffffffa006873e>] ttm_bo_wait+0x8e/0x180 [ttm]
 [<ffffffffa006a0aa>] ttm_bo_evict+0x4a/0x340 [ttm]
 [<ffffffff8108a6b4>] ? __wake_up+0x44/0x50
 [<ffffffffa006a47d>] ttm_mem_evict_first+0xdd/0x180 [ttm]
 [<ffffffffa006a7c1>] ttm_bo_mem_space+0x2a1/0x350 [ttm]
 [<ffffffffa006adca>] ttm_bo_move_buffer+0xba/0x140 [ttm]
 [<ffffffffa006aeea>] ttm_bo_validate+0x9a/0x110 [ttm]
 [<ffffffffa006b25a>] ttm_bo_init+0x2fa/0x3b0 [ttm]
 [<ffffffffa007ff65>] qxl_bo_create+0x165/0x1f0 [qxl]
 [<ffffffffa007fce0>] ? qxl_fbdev_fini+0xa0/0xa0 [qxl]
 [<ffffffffa00807de>] qxl_gem_object_create+0x4e/0xf0 [qxl]
 [<ffffffffa00808cd>] qxl_gem_object_create_with_handle+0x4d/0xf0 [qxl]
 [<ffffffffa008389e>] qxl_alloc_surf_ioctl+0x6e/0xb0 [qxl]
 [<ffffffffa00142c9>] drm_ioctl+0x4e9/0x5b0 [drm]
 [<ffffffffa0083830>] ? qxl_alloc_ioctl+0xa0/0xa0 [qxl]
 [<ffffffff811ab175>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8129463e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811ab411>] sys_ioctl+0x81/0xa0
 [<ffffffff8164e3d9>] system_call_fastpath+0x16/0x1b
Comment 1 Pavel Zhukov 2013-06-03 06:53:22 EDT
Created attachment 756236 [details]
File: dmesg
Comment 2 Dave Airlie 2013-09-20 06:56:35 EDT
this should be fixed in f19 with the latest qxl driver.

Note You need to log in before you can comment on or make changes to this bug.